#

Function CIS

Syntax:

cis radians => number

Arguments and Values:

radians---a real.

number---a complex.

Description:

cis returns the value of e^i* radians, which is a complex in which the real part is equal to the cosine of radians, and the imaginary part is equal to the sine of radians.

Examples:

     (cis 0) =>  #C(1.0 0.0)

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

Section 12.1.3.3 (Rule of Float Substitutability)

Notes: None.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.